%global project   felix
%global bundle    org.apache.felix.gogo.runtime

%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package %{project}-gogo-runtime}

Name:           %{?scl_prefix}%{project}-gogo-runtime
Version:        0.10.0
Release:        %mkrel 3
Summary:        Community OSGi R4 Service Platform Implementation - Basic Commands
License:        ASL 2.0
URL:            http://felix.apache.org/site/apache-felix-gogo.html
Group:          Development/Java

Source0:        http://www.mirrorservice.org/sites/ftp.apache.org//felix/org.apache.felix.gogo.runtime-0.10.0-project.tar.gz 

# Typecast an Event constructor call with java.util.Properties to 
# java.util.Dictionary because the call to the constructor with Properties
# was ambiguous.
Patch1:         %{pkg_name}-dictionary.patch
# Changed path to DEPENDENCIES, LICENSE and NOTICE from META-INF to root dir
Patch2:         %{pkg_name}-bundle-resources.patch
# Removed failing thread IO test
Patch3:         %{pkg_name}-deleted-io-test.patch
# Removed relativePath to parent pom
Patch4:         %{pkg_name}-parent.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:gogo-parent)
BuildRequires:  mvn(org.easymock:easymock)
BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(org.osgi:org.osgi.compendium)
BuildRequires:  mvn(org.osgi:org.osgi.core)

BuildRequires:  %{?scl_prefix}felix-gogo-parent
%{?scl:BuildRequires:	  %{?scl_prefix}build}

%{?scl:Requires: %scl_runtime}

%description
Apache Felix is a community effort to implement the OSGi R4 Service Platform
and other interesting OSGi-related technologies under the Apache license. The
OSGi specifications originally targeted embedded devices and home services
gateways, but they are ideally suited for any project interested in the
principles of modularity, component-orientation, and/or service-orientation.
OSGi technology combines aspects of these aforementioned principles to define a
dynamic service deployment framework that is amenable to remote management.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%mvn_file : %{project}/%{name}

%build
%{?scl:%scl_maven_opts}
%mvn_build

%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{project}
%doc DEPENDENCIES LICENSE NOTICE 

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Thu Sep 26 2013 dmorgan <dmorgan> 0.10.0-3.mga4
+ Revision: 486562
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 350126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 0.10.0-1.mga3
+ Revision: 268246
- New version

* Tue Nov 01 2011 gil <gil> 0.6.1-1.mga2
+ Revision: 160922
- imported package felix-gogo-runtime

